#include <iostream>
#include <bits/stdc++.h>
using namespace std;


int main()
{
    long long int n,i;
    cin >>n;
    double a[n],p[n],p1[n],osszeg[n/2],ossz=0;
    for (i=0;i<n;i++)
    {
        cin>>a[i]; cin>>p[i];
        p1[i]=p[i];
    }
    sort(p1,p1+n);
    for (i=0;i<n;i++)
    {
        if (p1[n/2]<=p[i])
        {
            osszeg[i]=a[i]*(p1[n/2]/100);
        }
        else
        {
            osszeg[i]=0;
        }
        ossz=ossz+osszeg[i];
    }
    cout.precision(10);
    cout<<ossz;
    return 0;
}